import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeMetadataModelExportsToTargetMessage,
  DescribeMetadataModelExportsToTargetResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeMetadataModelExportsToTargetCommandInput
  extends DescribeMetadataModelExportsToTargetMessage {}
export interface DescribeMetadataModelExportsToTargetCommandOutput
  extends DescribeMetadataModelExportsToTargetResponse,
    __MetadataBearer {}
declare const DescribeMetadataModelExportsToTargetCommand_base: {
  new (
    input: DescribeMetadataModelExportsToTargetCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelExportsToTargetCommandInput,
    DescribeMetadataModelExportsToTargetCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeMetadataModelExportsToTargetCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelExportsToTargetCommandInput,
    DescribeMetadataModelExportsToTargetCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeMetadataModelExportsToTargetCommand extends DescribeMetadataModelExportsToTargetCommand_base {
  protected static __types: {
    api: {
      input: DescribeMetadataModelExportsToTargetMessage;
      output: DescribeMetadataModelExportsToTargetResponse;
    };
    sdk: {
      input: DescribeMetadataModelExportsToTargetCommandInput;
      output: DescribeMetadataModelExportsToTargetCommandOutput;
    };
  };
}
