import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ExportMetadataModelAssessmentMessage,
  ExportMetadataModelAssessmentResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface ExportMetadataModelAssessmentCommandInput
  extends ExportMetadataModelAssessmentMessage {}
export interface ExportMetadataModelAssessmentCommandOutput
  extends ExportMetadataModelAssessmentResponse,
    __MetadataBearer {}
declare const ExportMetadataModelAssessmentCommand_base: {
  new (
    input: ExportMetadataModelAssessmentCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ExportMetadataModelAssessmentCommandInput,
    ExportMetadataModelAssessmentCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ExportMetadataModelAssessmentCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ExportMetadataModelAssessmentCommandInput,
    ExportMetadataModelAssessmentCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ExportMetadataModelAssessmentCommand extends ExportMetadataModelAssessmentCommand_base {
  protected static __types: {
    api: {
      input: ExportMetadataModelAssessmentMessage;
      output: ExportMetadataModelAssessmentResponse;
    };
    sdk: {
      input: ExportMetadataModelAssessmentCommandInput;
      output: ExportMetadataModelAssessmentCommandOutput;
    };
  };
}
