import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyDataMigrationMessage,
  ModifyDataMigrationResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface ModifyDataMigrationCommandInput
  extends ModifyDataMigrationMessage {}
export interface ModifyDataMigrationCommandOutput
  extends ModifyDataMigrationResponse,
    __MetadataBearer {}
declare const ModifyDataMigrationCommand_base: {
  new (
    input: ModifyDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyDataMigrationCommandInput,
    ModifyDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyDataMigrationCommandInput,
    ModifyDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyDataMigrationCommand extends ModifyDataMigrationCommand_base {
  protected static __types: {
    api: {
      input: ModifyDataMigrationMessage;
      output: ModifyDataMigrationResponse;
    };
    sdk: {
      input: ModifyDataMigrationCommandInput;
      output: ModifyDataMigrationCommandOutput;
    };
  };
}
