import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyEventSubscriptionMessage,
  ModifyEventSubscriptionResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface ModifyEventSubscriptionCommandInput
  extends ModifyEventSubscriptionMessage {}
export interface ModifyEventSubscriptionCommandOutput
  extends ModifyEventSubscriptionResponse,
    __MetadataBearer {}
declare const ModifyEventSubscriptionCommand_base: {
  new (
    input: ModifyEventSubscriptionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyEventSubscriptionCommandInput,
    ModifyEventSubscriptionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyEventSubscriptionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyEventSubscriptionCommandInput,
    ModifyEventSubscriptionCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyEventSubscriptionCommand extends ModifyEventSubscriptionCommand_base {
  protected static __types: {
    api: {
      input: ModifyEventSubscriptionMessage;
      output: ModifyEventSubscriptionResponse;
    };
    sdk: {
      input: ModifyEventSubscriptionCommandInput;
      output: ModifyEventSubscriptionCommandOutput;
    };
  };
}
