import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CancelReplicationTaskAssessmentRunMessage,
  CancelReplicationTaskAssessmentRunResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CancelReplicationTaskAssessmentRunCommandInput
  extends CancelReplicationTaskAssessmentRunMessage {}
export interface CancelReplicationTaskAssessmentRunCommandOutput
  extends CancelReplicationTaskAssessmentRunResponse,
    __MetadataBearer {}
declare const CancelReplicationTaskAssessmentRunCommand_base: {
  new (
    input: CancelReplicationTaskAssessmentRunCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CancelReplicationTaskAssessmentRunCommandInput,
    CancelReplicationTaskAssessmentRunCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CancelReplicationTaskAssessmentRunCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CancelReplicationTaskAssessmentRunCommandInput,
    CancelReplicationTaskAssessmentRunCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CancelReplicationTaskAssessmentRunCommand extends CancelReplicationTaskAssessmentRunCommand_base {
  protected static __types: {
    api: {
      input: CancelReplicationTaskAssessmentRunMessage;
      output: CancelReplicationTaskAssessmentRunResponse;
    };
    sdk: {
      input: CancelReplicationTaskAssessmentRunCommandInput;
      output: CancelReplicationTaskAssessmentRunCommandOutput;
    };
  };
}
