import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeDataMigrationsMessage,
  DescribeDataMigrationsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeDataMigrationsCommandInput
  extends DescribeDataMigrationsMessage {}
export interface DescribeDataMigrationsCommandOutput
  extends DescribeDataMigrationsResponse,
    __MetadataBearer {}
declare const DescribeDataMigrationsCommand_base: {
  new (
    input: DescribeDataMigrationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeDataMigrationsCommandInput,
    DescribeDataMigrationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeDataMigrationsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeDataMigrationsCommandInput,
    DescribeDataMigrationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeDataMigrationsCommand extends DescribeDataMigrationsCommand_base {
  protected static __types: {
    api: {
      input: DescribeDataMigrationsMessage;
      output: DescribeDataMigrationsResponse;
    };
    sdk: {
      input: DescribeDataMigrationsCommandInput;
      output: DescribeDataMigrationsCommandOutput;
    };
  };
}
