import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeTableStatisticsMessage,
  DescribeTableStatisticsResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface DescribeTableStatisticsCommandInput
  extends DescribeTableStatisticsMessage {}
export interface DescribeTableStatisticsCommandOutput
  extends DescribeTableStatisticsResponse,
    __MetadataBearer {}
declare const DescribeTableStatisticsCommand_base: {
  new (
    input: DescribeTableStatisticsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeTableStatisticsCommandInput,
    DescribeTableStatisticsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeTableStatisticsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeTableStatisticsCommandInput,
    DescribeTableStatisticsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeTableStatisticsCommand extends DescribeTableStatisticsCommand_base {
  protected static __types: {
    api: {
      input: DescribeTableStatisticsMessage;
      output: DescribeTableStatisticsResponse;
    };
    sdk: {
      input: DescribeTableStatisticsCommandInput;
      output: DescribeTableStatisticsCommandOutput;
    };
  };
}
